Bug 522925

Summary: No Indication of Kdump in Progress while in X Window
Product: [Fedora] Fedora Reporter: Qian Cai <caiqian>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 12CC: itamar, kernel-maint, nhorman
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 592506 810881 (view as bug list) Environment:
Last Closed: 2010-05-17 12:40:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 524819, 592506, 810880, 810881    

Description Qian Cai 2009-09-12 08:47:42 UTC
Description of problem:
After setting up kdump, if the kernel crashes while the user is operating under X Window, there is no indication of the kdump kernel is in progress. The user would be confused to see if this is a kernel failure or frozen X window. Ideally, the display would switch to the console when the kdump kernel is booting. This problem happens with and without KMS.

Version-Release number of selected component (if applicable):
kernel-2.6.31-2.fc12.x86_64
xorg-x11-drv-ati-6.12.2-19.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. setup kdump.
2. trigger kernel crash (echo c >/proc/sysrq-trigger) from X Window.
   
Actual results:
No indication of the kdump kernel in progress. Just a frozen X window.

Expected results:
Switch to console to show the kdump kernel is booting.

Comment 1 Bug Zapper 2009-11-16 12:18:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Neil Horman 2010-05-17 12:40:17 UTC
This has been a long standing problem, one which we just can't fix right now.  During a crash there is currently no safe way to return a video card to text mode so that the kdump boot process is visible, or to put up a banner indicating that a kdump is in progress.  The KMS changes make some of this more possible, but only on certain hardware, and under certain conditions.  Its simply to haphazzard a solution to truly be reasonable at this point.